Subject: [PATCH v5 1/1] iommu-api: Add map_sg/unmap_sg functions

From: [email-masked] (joro at 8bytes.org)
Date: Mon, 18 Aug 2014 16:07:30 +0200

On Tue, Aug 12, 2014 at 09:56:11AM -0700, Olav Haugan wrote:
> On 8/12/2014 3:48 AM, Rob Clark wrote:
> > iirc, one plan for 'flags' was some sort of DONT_FLUSH_TLB flag for
> > drivers which wanted to map/unmap N buffers with a single flush at the
> > end.  There might have been some other usages envisioned.
> 
> Yes, that was the original intent of the flags for now. I am sure we can
> find other uses for this in the future.

Do you have anything else in mind already besides the DONT_FLUSH_TLB
flag?

How is the IOTLB supposed to be flushed when this flag is used?

	Joerg